<!-- 安全检查扫一扫 实验室详情 -->
<template>
	<view class="safetyCardScan">
		<view class="header">
			<view class="tabTitle">
				<view class="tabTitle_li" @tap="tabClick(index)" :key="index" v-for="(item,index) in tabText">
					<view class="tabTitle_text">
						<img :src="item.img">
						<view
							:id="pageType==index&&index==0?'fontColor-A':(pageType==1&&index==1?'fontColor-B':(pageType==2&&index==2?'fontColor-C':''))">
							{{item.name}}
						</view>
					</view>
					<view :class="{on:pageType==index}" class="tabTitle_across">
						<img :src="imagesUrl('commonality/img_xyzc_bg@1x.png')">
					</view>
					<view class="line"></view>
				</view>
			</view>
		</view>
		<view class="safetyCard" v-if="pageType==0">
			<view class="lab-info">
				<img class="lab-info-l" :src="imagesUrl('commonality/icon_aqjc_shiyanshi.png')">
				<view class="lab-info-c">
					<view class="lab-info-c-t">
						<view class="lab-info-c-t-l">{{newData.subName}}</view>
						<view class="lab-info-c-t-r"
							:style="'border:1rpx solid '+newData.levelColor+';background:'+newData.levelColorTow+';'">
							<text
								:style="'border-right:1rpx solid '+newData.levelColor+';color:'+newData.levelColor+';'">{{newData.levelName?newData.levelName:''}}</text>
							<text
								:style="'color:'+newData.levelColor+';'">{{newData.typeName?newData.typeName:''}}</text>
						</view>
					</view>
					<view class="lab-info-c-b">
						{{newData.roomNum?newData.roomNum:'-'}}房间＆{{newData.buildName}}
					</view>
				</view>
				<view class="lab-info-r">{{newData.subArea?newData.subArea+'㎡':'未配置'}}</view>
			</view>
			<view class="liability-unit">
				<view>学院单位</view>
				<view>{{newData.deptName}}</view>
			</view>
			<view class="small-title-new" @click="unfoldPackUp('subAdminShowType')">
				<view>实验室负责人</view>
				<uni-icons :type="newData.subAdminShowType?'up':'down'" size="12" color='#A2A2A2'></uni-icons>
			</view>
			<view class="sub-head" v-if="newData.subAdminShowType">
				<view>{{newData.adminName}}</view>
				<view @click="callPhone(newData.adminPhone)">
					<img :src="imagesUrl('manage/icon_aqxxp_dh.png')">
					<view>{{newData.adminPhone}}</view>
				</view>
			</view>
			<view class="small-title-new" @click="unfoldPackUp('adminShowType')">
				<view>安全员</view>
				<uni-icons :type="newData.adminShowType?'up':'down'" size="12" color='#A2A2A2'></uni-icons>
			</view>
			<view v-if="newData.adminShowType">
				<view class="sub-head" v-for="(item,index) in newData.safeUserList" :key="index">
					<view>{{item.safeUserName}}</view>
					<view @click="callPhone(item.safeUserPhone)">
						<img :src="imagesUrl('manage/icon_aqxxp_dh.png')" v-if="item.safeUserPhone">
						<view>{{item.safeUserPhone?item.safeUserPhone:'--'}}</view>
					</view>
				</view>
			</view>
			<view class="classify" v-for="(item,index) in newData.labInfoBrandModels" :key="index">
				<view v-if="item.privateList.length>0" class="small-title-new" @click="unfoldPackUp('list',index)">
					<view>{{item.brandName}}</view>
					<uni-icons :type="item.showType?'up':'down'" size="12" color='#A2A2A2'></uni-icons>
				</view>
				<view v-if="item.privateList.length>0 && item.brandType==1 && !item.isSpecial&&item.showType">
					<view class="small-items-new" v-for="(item2,index2) in item.privateList" :key="index2">
						<view>{{index2+1}}. </view>
						<view>{{item2.infoContent}}</view>
					</view>
				</view>
				<view v-if="item.privateList.length>0 && item.brandType==1 && item.isSpecial&&item.showType">
					<view class="small-items-new" v-for="(item2,index2) in item.privateList" :key="index2">
						<view></view>
						<view>{{item2.infoContent}}</view>
					</view>
				</view>
				<view v-if="item.privateList.length>0 && item.brandType==2&&item.showType">
					<view class="logotype-img-new">
						<img v-for="(item3,index3) in item.privateList" :key="index3" :src="baseUrl+item3.infoContent">
					</view>
				</view>
			</view>
		</view>
		<!-- <view class="position-button-box" v-if="pageType == 0">
			<img class="position-button-p-1" @click="goPage('securityCheck',true)"
				:src="imagesUrl('safetyCheck/icon_aqjc_anquanjiancha.png')">
			<img class="position-button-p-2" @click="goPage('snapshot','')"
				:src="imagesUrl('safetyCheck/icon_aqjc_suishoupai.png')">
		</view> -->
		<!-- 物联控制 -->
		<iotControl ref="iotControl" v-if="pageType == 1" :subjectData="subjectData"
		style="flex:1;display: flex;flex-direction: column;overflow: hidden;"></iotControl>
		<!-- 进出记录 -->
		<accessRecord	v-if="pageType == 2" :subjectData="subjectData"
		style="flex:1;display: flex;flex-direction: column;overflow: hidden;"></accessRecord>
		<!-- 语音广播弹窗 -->
		<voiceBroadcast v-if="broadcastPage" :subjectData="subjectData"></voiceBroadcast>
		<!-- 空调弹窗 -->
		<airConditioning v-if="conditioningPage" :airConditioningData="airConditioningData"></airConditioning>
		<view class="shade-box" v-if="securityCheck">
			<view class="null-box" @click="goPage('securityCheck',false)"></view>
			<view class="shade_n">
				<view class="title">
					<view>请选择实验室</view>
				</view>
				<view class="batch">
					<view class="batch-li" @click="batchClickTow(item)" v-for="(item,index) in securityCheckList">
						<view class="batch-li-l">
							<text>{{item.planTitle}}-{{item.checkName}}</text>
							<text>{{item.subName}}{{item.roomNum?'('+item.roomNum+')':''}}</text>
						</view>
						<view class="batch-li-r">
							<img :src="imagesUrl('commonality/icon_wd_gd@1x.png')">
						</view>
					</view>
				</view>
			</view>
		</view>
	</view>

</template>

<script>
	import {
		pageRestrictVerify
	} from '@/utils/index'
	import iotControl from '@/pages_manage/views/laboratory/iotControl.vue'
	import accessRecord from '@/pages_manage/views/laboratory/accessRecord.vue'
	import voiceBroadcast from '@/pages_manage/views/laboratory/voiceBroadcast.vue'
	import airConditioning from '@/pages_manage/views/laboratory/airConditioning.vue'
	import {
		config
	} from '@/api/request/config.js'
	import {

	} from '@/pages/api/index.js'
	
	import {
		securityAppCheckPlanScanCode,
	} from '@/pages_safetyCheck/api/index.js'
	export default {
		name: "safetyCardScan",
		components: {
			iotControl,
			accessRecord,
			voiceBroadcast,
			airConditioning,
		},
		data() {
			return {
				baseUrl: config.base_url,
				pageType: 1,
				tabText: [{
						name: '安全信息牌',
						img: this.imagesUrl('safetyCheck/icon_sys_aqxxp@1x.png'),
					},
					{
						name: '监测控制',
						img: this.imagesUrl('safetyCheck/icon_sys_jckz@1x.png'),
					},
					{
						name: '进出记录',
						img: this.imagesUrl('safetyCheck/icon_sys_jcjl@1x.png'),
					},
				],
				pageType: 0,
				newData: {
					adminName: '',
					adminPhone: '',
					safeUserList: [],
					labInfoBrandModels: [],
				},
				subjectData: null,
				identityData: uni.getStorageSync('identityData'),
				//语音广播弹窗
				broadcastPage: false,
				//空调弹窗
				conditioningPage: false,
				// 空调弹窗
				airConditioningData: null,
				securityCheck: false,
				securityCheckList:[],
				form: {},
			}
		},
		// 父页面
		onReachBottom() {
			uni.$emit('onReachBottom') // 设置监听事件
		},
		onPullDownRefresh() {
			uni.$emit('onPullDownRefresh') // 设置监听事件
		},
		onLoad(option) {
			// #ifdef WEB
			let newData = JSON.parse(option.infoData);
			// #endif
			// #ifdef MP-WEIXIN
			let newData = JSON.parse(decodeURIComponent(option.infoData));
			// #endif
			newData.subAdminShowType = true;
			newData.adminShowType = true;
			if (newData.labInfoBrandModels) {
				for (let i = 0; i < newData.labInfoBrandModels.length; i++) {
					newData.labInfoBrandModels[i].showType = true;
				}
			}
			if (newData.levelColor) {
				newData.levelColorTow = this.hexToRgb(newData.levelColor, 0.2)
			}
			this.$nextTick(() => {
				this.$set(this, 'newData', newData);
				this.$set(this, 'subjectData', newData);
				this.$set(this, 'pageType', 0);
			})

		},
		onShow() {
			this.$set(this, 'securityCheck', false)
		},
		mounted() {

		},
		methods: {
			//十六进制颜色值和RGB格式转换
			hexToRgb(hex, opacity = 1) {
				// 去除#号
				var color = hex.replace("#", "");
				// 分割成红、绿、蓝三部分的16进制字符串
				var red = parseInt(color.substring(0, 2), 16);
				var green = parseInt(color.substring(2, 4), 16);
				var blue = parseInt(color.substring(4, 6), 16);
				return `RGB(${red}, ${green}, ${blue},${opacity})`;
			},
			//拨打电话
			callPhone(tel) {
				if(tel){
					uni.makePhoneCall({
						phoneNumber: tel
					})
				}
			},
			goVideoPage() {
				let obj = {
					type: 4,
					subId: this.newData.subId,
					floorId: this.newData.floorId,
				}
				uni.navigateTo({
					url: '/pages_manage/views/laboratory/videoPlayer?item=' + encodeURIComponent(JSON.stringify(
						obj))
				});
			},
			getIotControlData() {
				this.$refs['iotControl'].iotAppHardwareFindByType();
			},
			buttonClick(type, row) {
				let self = this;
				if (type == 'subDetail') {
					//实验室详情
				} else if (type == 'broadcastOpen') {
					//语音弹窗开启
					this.$set(this, 'broadcastPage', true);
				} else if (type == 'broadcastClose') {
					//语音弹窗关闭
					this.$set(this, 'broadcastPage', false);
				} else if (type == 'conditioningOpen') {
					//空调弹窗开启
					this.$set(this, 'airConditioningData', row);
					this.$set(this, 'conditioningPage', true);
				} else if (type == 'conditioningClose') {
					//空调弹窗关闭
					this.$set(this, 'conditioningPage', false);
				} else if (type == 'back') {
					this.$set(this, 'pageType', 2);
				}
			},
			//展开/收起操作
			unfoldPackUp(type, index) {
				if (type == 'subAdminShowType') {
					this.$set(this.newData, 'subAdminShowType', !this.newData.subAdminShowType);
				} else if (type == 'adminShowType') {
					this.$set(this.newData, 'adminShowType', !this.newData.adminShowType);
				} else if (type == 'list') {
					this.$set(this.newData.labInfoBrandModels[index], 'showType', !this.newData.labInfoBrandModels[index]
						.showType);
				}
			},
			//顶部tab点击
			tabClick(index) {
				if (this.pageType != index) {
					this.$set(this, 'pageType', index);
				}
			},
			goPage(type, status) {
				if (!pageRestrictVerify(type)) {
					uni.showToast({
						title: '没有相关权限,请联系管理员',
						icon: "none",
						mask: true,
						duration: 2000
					});
					return
				} else if (type == 'securityCheck') {
					if(status){
						this.securityAppCheckPlanScanCode(this.newData.subId,);
					}else{
						this.$set(this,'securityCheck',false);
					}
				} else if (type == 'snapshot') {
					console.log(111)
					console.log(this.newData)
					this.$set(this.form, "subId", this.newData.subId)
					this.$set(this.form, "subName", this.newData.subName)
					this.$set(this.form, "subRoom", this.newData.roomNum)
					this.$set(this.form, "deptId", this.newData.deptId)
					this.$set(this.form, "deptName", this.newData.deptName)
					this.$set(this.form, "buildId", this.newData.buildId)
					this.$set(this.form, "buildName", this.newData.buildName)
					this.$set(this.form, "floorId", this.newData.floorId)
					this.$set(this.form, "floorName", this.newData.floorName)
					this.$set(this.form, "typeId", this.newData.typeId)
					this.$set(this.form, "classTypeNames", this.newData.typeName)
					this.$set(this.form, "levelId", this.newData.levelId)
					this.$set(this.form, "classLevelName", this.newData.levelName)
					uni.navigateTo({
						url: '/pages_safetyCheck/views/snapshotManage/snapshotList?form=' +
							encodeURIComponent(JSON.stringify(this.form))
					});
				}
			},
			//查询计划
			async securityAppCheckPlanScanCode(subId,planSetId) {
				let self = this;
				let checkCategory = null;
				if(uni.getStorageSync('identityData')){
					if(uni.getStorageSync('identityData').type=='collegeAdmin'){
						checkCategory=2
					}else if(uni.getStorageSync('identityData').type=='schoolAdmin'){
						checkCategory=1
					}
				}
				let obj = {
					subId:subId,
					checkCategory:checkCategory,
				};
				if(planSetId){
					obj.planSetId = planSetId;
				}
				const {
					data
				} = await securityAppCheckPlanScanCode(obj);
				if (data.code == 200) {
					if(data.data[0]){
						if(data.data[1]){
							//多个
							self.$set(self,'securityCheckList',data.data);
							self.$set(self,'securityCheck',true);
						}else{
							//单个
							let infoData = data.data[0];
							infoData.pageType = 0;
							uni.navigateTo({
								url: '/pages_safetyCheck/views/itemsManage/hiddenDangerItems?infoData=' + encodeURIComponent(
									JSON.stringify(infoData))
							});
						}
					}else{
						//没有
						uni.showToast({
							title: '该实验室暂无检查计划!',
							icon: "none",
							mask: true,
							duration: 2000
						});
					}
				}
			},
			batchClickTow(row) {
				let infoData = row;
				infoData.pageType = 0;
				uni.navigateTo({
					url: '/pages_safetyCheck/views/itemsManage/hiddenDangerItems?infoData=' + encodeURIComponent(
						JSON.stringify(infoData))
				});
			},
		}
	}
</script>

<style lang="stylus" scoped>
	.safetyCardScan {
		height: 100%;
		display: flex;
		flex-direction: column;
		overflow: hidden;

		#fontColor-A {
			color: #00DEDE;
		}

		#fontColor-B {
			color: #FF8C00;
		}

		#fontColor-C {
			color: #0083FD;
		}

		.header {
			height: 192rpx;
			width: 100%;
			// position: fixed;
			// top: 0rpx;
			// z-index: 100;
			background: #fff;

			.tabTitle {
				width: 750rpx;
				height: 188rpx;
				display flex;
				justify-content: flex-start;
				align-items: center;
				border-bottom: 4rpx solid #F5F5F5;

				.tabTitle_li {
					height: 188rpx;
					flex: 1;
					position: relative;
					text-align center;

					.tabTitle_text {
						display: flex;
						justify-content: center;
						flex-direction: column;
						align-items: center;

						>img {
							width: 80rpx;
							height: 80rpx;
							margin-top: 20rpx;
						}

						>view:nth-of-type(1) {
							font-size: 30rpx;
							color: #333333;
							line-height: 42rpx;
							text-align: left;
							margin-top: 10rpx;
						}

						>view:nth-of-type(2) {
							font-size: 24rpx;
							color: #666666;
							line-height: 34rpx;
							text-align: left;
						}


						position: relative;

						&.on {}
					}

					.line {
						width: 2rpx;
						height: 40rpx;
						background: #D8D8D8;
						position: absolute;
						top: 40%;
					}

					.tabTitle_across {
						/* width: 50rpx;
						height: 4rpx;
						background: #0183FA;
						border-radius: 2rpx; */
						margin-left: 38%;
						margin-top: 12rpx;
						display none;

						>img {
							width: 40rpx;
							height: 26rpx;
						}

						&.on {
							display block;
						}
					}

				}
			}
		}

		/* 安全信息牌 */
		.safetyCard {
			flex:1;
			overflow-y: scroll;
			padding-bottom: 150rpx;

			.lab-info {
				background: #FFFFFF;
				display: flex;
				justify-content: space-between;

				.lab-info-l {
					width: 80rpx;
					height: 80rpx;
					background: #0183FA;
					border-radius: 10rpx 10rpx 10rpx 10rpx;
					margin-left: 30rpx;
					margin-top: 30rpx;
				}

				.lab-info-c {
					width: 500rpx;
					margin: 24rpx 30rpx 0 20rpx;

					.lab-info-c-t {
						display: flex;
						justify-content: space-between;

						.lab-info-c-t-l {
							font-size: 30rpx;
							color: #333333;
							line-height: 42rpx;
							text-align: left;
							overflow: hidden;
							text-overflow: ellipsis;
							white-space: nowrap;
						}

						.lab-info-c-t-r {
							display: flex;
							justify-content: flex-start;
							background: rgba(255, 0, 0, 0.2);
							border-radius: 10rpx 10rpx 10rpx 10rpx;
							border: 2rpx solid #FF0000;
							width: 200rpx;
							height: 40rpx;
							margin-left: 10rpx;

							>text {
								display: inline-block;
								flex: 1;
								text-align: center;
								font-size: 24rpx;
								color: #FF0000;
								line-height: 40rpx;
								text-align: center;
								overflow: hidden;
								text-overflow: ellipsis;
								white-space: nowrap;
							}

							>text:nth-of-type(1) {
								border-right: 2rpx solid #FF0000;
							}

							>text:nth-of-type(2) {}
						}
					}

					.lab-info-c-b {
						font-size: 30rpx;
						color: #666666;
						line-height: 42rpx;
						text-align: left;
						margin-top: 10rpx;
						overflow: hidden;
						text-overflow: ellipsis;
						white-space: nowrap;
					}
				}

				.lab-info-r {
					width: 100rpx;
					height: 150rpx;
					background: rgba(1, 131, 250, 0.2);
					border-radius: 0rpx 0rpx 0rpx 0rpx;
					font-size: 28rpx;
					color: #0183FA;
					line-height: 150rpx;
					text-align: center;
				}
			}

			.liability-unit {
				width: 750rpx;
				height: 80rpx;
				background: #FFFFFF;
				border-bottom: 1rpx solid #E0E0E0;
				padding: 0 30rpx;
				box-sizing: border-box;
				display: flex;
				justify-content: space-between;
				margin-top: 14rpx;

				>view:nth-of-type(1) {
					font-size: 30rpx;
					color: #333333;
					line-height: 80rpx;
					text-align: left;
				}

				>view:nth-of-type(2) {
					font-size: 30rpx;
					color: #666666;
					line-height: 80rpx;
					text-align: left;
				}
			}

			.small-title {
				width: 750rpx;
				height: 80rpx;
				background: #FFFFFF;
				border-bottom: 1rpx solid #E0E0E0;
				padding: 0 30rpx;
				box-sizing: border-box;
				display: flex;
				justify-content: space-between;
				align-items: center;

				>view {
					font-size: 30rpx;
					color: #333333;
					line-height: 80rpx;
					text-align: left;
				}

				>img {
					width: 24rpx;
					height: 12rpx;
				}
			}

			.sub-head {
				width: 750rpx;
				height: 80rpx;
				background: #fff;
				padding: 0 30rpx;
				box-sizing: border-box;
				display: flex;
				justify-content: space-between;
				align-items: center;
				border-bottom: 1rpx solid #E0E0E0;

				>view:nth-of-type(1) {
					font-family: PingFang SC;
					font-weight: 500;
					font-size: 30rpx;
					color: #666666;
					line-height: 30rpx;
				}

				>view:nth-of-type(2) {
					display: flex;
					justify-content: flex-end;
					align-items: center;

					>img {
						width: 34rpx;
						height: 34rpx;
						margin-right: 14rpx;
					}

					>view {
						font-family: PingFang SC;
						font-weight: 500;
						font-size: 30rpx;
						color: #0183FA;
						line-height: 30rpx;
					}
				}
			}

			.sub-head:last-child {
				border-bottom: none;
			}


			.small-title-new {
				width: 750rpx;
				height: 80rpx;
				background: #FFFFFF;
				border-bottom: 1rpx solid #E0E0E0;
				padding: 0 30rpx;
				box-sizing: border-box;
				display: flex;
				justify-content: space-between;
				align-items: center;

				>view {
					font-size: 30rpx;
					color: #333333;
					line-height: 80rpx;
					text-align: left;
				}

				>img {
					width: 24rpx;
					height: 12rpx;
				}
			}

			.classify {
				.small-items-new {
					padding-left: 20rpx;
					box-sizing: border-box;
					background: #fff;
					display: flex;
					justify-content: flex-start;
					padding: 30rpx;
					box-sizing: border-box;
					border-bottom: 1rpx solid #E0E0E0;

					>view:nth-of-type(1) {
						color: #999999;
						font-weight: 500;
						font-size: 28rpx;
						margin-right: 12rpx;
						line-height: 34rpx;
					}

					>view:nth-of-type(2) {
						display: block;
						font-family: PingFang SC;
						font-weight: 500;
						font-size: 28rpx;
						line-height: 34rpx;
						color: #999999;
					}
				}

				.logotype-img-new {
					padding: 26rpx 0 34rpx 0;
					box-sizing: border-box;
					background: #fff;

					>img {
						display: inline-block;
						width: 86rpx;
						height: 114rpx;
						margin-left: 30rpx;
						margin-bottom: 20rpx;
					}
				}

				.small-items {
					padding-left: 20rpx;
					box-sizing: border-box;
					background: #fff;
					display: flex;
					justify-content: flex-start;
					padding: 20rpx;
					box-sizing: border-box;

					>view:nth-of-type(1) {
						color: #999999;
						font-weight: 500;
						font-size: 28rpx;
						margin-right: 12rpx;
						line-height: 34rpx;
					}

					>view:nth-of-type(2) {
						display: block;
						font-family: PingFang SC;
						font-weight: 500;
						font-size: 28rpx;
						line-height: 34rpx;
						color: #999999;
					}

				}

				.logotype {
					width: 750rpx;
					height: 100rpx;
					font-family: PingFang SC;
					font-weight: 500;
					font-size: 32rpx;
					color: #333333;
					line-height: 100rpx;
					padding-left: 20rpx;
					box-sizing: border-box;
					background: #0183FA;
					color: #fff;
				}

				.logotype-img {
					padding: 26rpx 0 34rpx 0;
					box-sizing: border-box;
					background: #fff;

					>img {
						display: inline-block;
						width: 86rpx;
						height: 114rpx;
						margin-left: 30rpx;
						margin-bottom: 20rpx;
					}
				}
			}
		}

		.position-button-box {
			position: fixed;
			bottom: 40rpx;
			display: flex;
			justify-content: center;

			>img {
				width: 160rpx;
				height: 160rpx;
			}

			.position-button-p-1 {
				margin-left: 174rpx;
				margin-right: 120rpx;
			}

			.position-button-p-2 {}
		}

		.shade-box {
			height: 100%;
			width: 100%;
			position: fixed;
			display: flex;
			flex-direction: column;
			z-index: 200;
			background: rgba(0, 0, 0, 0.2);
			top: 0;
		
			.null-box {
				flex: 1;
			}
		
			.shade_n {
				position: absolute;
				bottom: 0;
				left: 0;
				width: 750rpx;
				height: 466rpx;
				background: #FFFFFF;
				border-radius: 20rpx 20rpx 0rpx 0rpx;
				overflow-y: auto;
		
				.title {
					display: flex;
					justify-content: space-between;
					align-items: center;
					padding: 0 50rpx 0 284rpx;
					box-sizing: border-box;
					border-bottom: 1rpx solid #E0E0E0;
		
					>view {
						font-size: 30rpx;
						color: #3D3D3D;
						line-height: 90rpx;
						text-align: left;
					}
		
					>img {
						width: 24rpx;
						height: 12rpx;
					}
				}
		
				.batch {
					padding: 0 30rpx;
					box-sizing: border-box;
		
					.batch-li {
						display: flex;
						justify-content: space-between;
						align-items: center;
						border-bottom: 1rpx solid #E0E0E0;
						padding: 20rpx 0 16rpx 0rpx;
						box-sizing: border-box;
		
						.batch-li-l {
							>text:nth-of-type(1) {
								display: block;
								font-size: 30rpx;
								color: #333333;
								line-height: 42rpx;
								text-align: left;
							}
		
							>text:nth-of-type(2) {
								display: block;
								font-size: 28rpx;
								color: #666666;
								line-height: 39rpx;
								text-align: left;
								margin-top: 6rpx;
							}
						}
		
						.batch-li-r {
							font-size: 28rpx;
							color: #666666;
							line-height: 39rpx;
							text-align: left;
							display: flex;
							justify-content: flex-start;
							align-items: center;
		
							>img {
								width: 24rpx;
								height: 24rpx;
								margin-left: 9rpx;
							}
						}
					}
				}
			}
		}

	}
</style>
